Skip to main content
PATCH
/
api
/
workforces
/
{workforce_id}
/
agents
/
{member_id}
Update Workforce Agent
curl --request PATCH \
  --url https://api.example.com/api/workforces/{workforce_id}/agents/{member_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "alias": "<string>",
  "assignment_instructions": "<string>",
  "enabled": true,
  "sort_order": 123,
  "canvas_position": {}
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workforce_id
integer
required
member_id
integer
required

Body

application/json
alias
string | null
Maximum string length: 200
assignment_instructions
string | null
Minimum string length: 1
enabled
boolean | null
sort_order
integer | null
canvas_position
Canvas Position · object

Response

Successful Response

The response is of type Response Update Workforce Agent Api Workforces Workforce Id Agents Member Id Patch · object.